// make sure pref file settings are locked
lockPref("general.config.filename", "prefs.js");
lockPref("general.config.obscure_value", 0);

// misc
lockPref("browser.newtabpage.enabled", false);
lockPref("browser.startup.homepage", "about:blank");
lockPref("toolkit.legacyUserProfileCustomizations.stylesheets", true);
lockPref("browser.uidensity", 1);
lockPref("browser.startup.page", 3);
lockPref("privacy.fingerprintingProtection", false);
lockPref("signon.rememberSignons", false);
lockPref("browser.download.viewableInternally.typeWasRegistered.jxl", true);
lockPref("image.jxl.enabled", true);
lockPref("xpinstall.signatures.required", false);

// Allow custom search engines
pref("browser.urlbar.update2.engineAliasRefresh", true); // No clue why this needs both pref and lockPref but here we are
lockPref("browser.urlbar.update2.engineAliasRefresh", true);

// Workaround for https://bugzilla.mozilla.org/show_bug.cgi?id=1420777
lockPref("network.http.http2.coalesce-hostnames", false);

// ads & annoyances
pref("extensions.getAddons.showPane", false); // No clue why this needs both pref and lockPref but here we are
lockPref("extensions.getAddons.showPane", false);
lockPref("extensions.pocket.showHome", false);
lockPref("browser.newtabpage.activity-stream.asrouter.userprefs.cfr.features", false);
lockPref("browser.newtabpage.activity-stream.asrouter.userprefs.cfr.addons", false);
lockPref("browser.contentblocking.report.lockwise.enabled", false);
lockPref("browser.contentblocking.report.hide_vpn_banner", true);
lockPref("browser.contentblocking.report.vpn.enabled", false);
lockPref("browser.contentblocking.report.show_mobile_app", false);
lockPref("browser.vpn_promo.enabled", false);
lockPref("browser.promo.focus.enabled", false);
lockPref("extensions.htmlaboutaddons.recommendations.enabled", false);
lockPref("lightweightThemes.getMoreURL", ""); // disable button to get more themes
lockPref("browser.topsites.useRemoteSetting", false); // hide sponsored shortcuts button
lockPref("browser.aboutConfig.showWarning", false);
lockPref("browser.preferences.moreFromMozilla", false);
lockPref("browser.newtabpage.activity-stream.feeds.system.topstories", false);
lockPref("browser.newtabpage.activity-stream.system.showSponsored", false);
lockPref("browser.newtabpage.activity-stream.showSponsored", false);
lockPref("browser.newtabpage.activity-stream.showSponsoredTopSites", false);
lockPref("datareporting.policy.firstRunURL", "");

// telemetry
lockPref("toolkit.telemetry.unified", false); // master switch
lockPref("toolkit.telemetry.enabled", false);  // master switch
lockPref("toolkit.telemetry.server", "data:,");
lockPref("toolkit.telemetry.archive.enabled", false);
lockPref("toolkit.telemetry.newProfilePing.enabled", false);
lockPref("toolkit.telemetry.updatePing.enabled", false);
lockPref("toolkit.telemetry.firstShutdownPing.enabled", false);
lockPref("toolkit.telemetry.shutdownPingSender.enabled", false);
lockPref("toolkit.telemetry.bhrPing.enabled", false);
lockPref("toolkit.telemetry.cachedClientID", "");
lockPref("toolkit.telemetry.previousBuildID", "");
lockPref("toolkit.telemetry.server_owner", "");
lockPref("toolkit.coverage.opt-out", true); // hidden
lockPref("toolkit.telemetry.coverage.opt-out", true); // hidden
lockPref("toolkit.coverage.enabled", false);
lockPref("toolkit.coverage.endpoint.base", "");
lockPref("toolkit.crashreporter.infoURL", "");
lockPref("datareporting.healthreport.uploadEnabled", false);
lockPref("datareporting.policy.dataSubmissionEnabled", false);
lockPref("security.protectionspopup.recordEventTelemetry", false);
lockPref("browser.ping-centre.telemetry", false);
lockPref("app.normandy.enabled", false);
lockPref("app.normandy.api_url", "");
lockPref("app.shield.optoutstudies.enabled", false);
lockPref("browser.discovery.enabled", false);
lockPref("browser.tabs.crashReporting.sendReport", false);
lockPref("breakpad.reportURL", "");
lockPref("network.connectivity-service.enabled", false);
lockPref("network.captive-portal-service.enabled", false);
lockPref("captivedetect.canonicalURL", "");
